unit CadCentroCusto;

interface

uses
  Windows, system.UItypes, IB_Access, Messages, SysUtils, Variants,  Classes, Graphics, Controls, Forms,
  Dialogs, ModeloCadastro, cxGraphics, cxLookAndFeels,
  cxLookAndFeelPainters, Menus, UCBase, ImgList, AppEvnts, IB_Components,
  ExtCtrls, StdCtrls, jpeg, Grids, IB_Grid, cxButtons, ComCtrls, Mask,
  IB_Controls, cxControls, cxContainer, cxEdit, dxGDIPlusClasses, cxImage, Buttons, IB_EditButton,
  System.ImageList;
                                                 
type
  TfrmCadCentroCusto = class(TFrModeloCadastro)
    GroupBox2: TGroupBox;
    lblCOD_EVENTO_STATUS: TIB_Text;
    edtDescricao: TIB_Edit;
    dbGrupo: TIB_LookupCombo;
    btnPesquisaEmpresa: TSpeedButton;
    btnNovaEmpresa: TSpeedButton;
    qrGrupo_Custo: TIB_Query;
    dtGrupo_Custo: TIB_DataSource;
    procedure BtGravarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnPesquisaEmpresaClick(Sender: TObject);
    procedure btnNovaEmpresaClick(Sender: TObject);
    procedure MostraTela;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadCentroCusto: TfrmCadCentroCusto;

implementation

uses
  ModeloPesquisa, GrupoCusto, Rotinas;

{$R *.dfm}

procedure TfrmCadCentroCusto.BtGravarClick(Sender: TObject);
begin
   if edtDescricao.Text = '' then
   begin
      MessageDlg('Informe a descrição', mtWarning, [mbOK], 0);
      edtDescricao.SetFocus;
      Exit;
   end;

   inherited;

end;

procedure TfrmCadCentroCusto.btnNovaEmpresaClick(Sender: TObject);
var codigo : Integer;
begin
  inherited;
   frmCadGrupoCusto := TfrmCadGrupoCusto.Create(Application);
   frmCadGrupoCusto.OutraTela := true;
   frmCadGrupoCusto.BtInserir.Click;
   codigo := frmCadGrupoCusto.tbPrincipal.FieldByName('COD_GRUPO_CUSTO').AsInteger;
   frmCadGrupoCusto.ShowModal;
   frmCadGrupoCusto.Destroy;

   qrGrupo_Custo.Close;
   qrGrupo_Custo.Open;

   if not qrGrupo_Custo.Locate('COD_GRUPO_CUSTO' , codigo , []) then
     InicioDaTabela( qrGrupo_Custo);

end;

procedure TfrmCadCentroCusto.btnPesquisaEmpresaClick(Sender: TObject);
begin
  inherited;
  frmModeloPesquisa := TfrmModeloPesquisa.Create(Application);
  frmModeloPesquisa.Tabela := qrGrupo_Custo;
  frmModeloPesquisa.lblTitulo.Caption := 'Pesquisa Grupo de Custo';
  if frmModeloPesquisa.ShowModal  = mrok then
  begin
    qrGrupo_Custo.Close;
    qrGrupo_Custo.Open;
    tbPrincipal.FieldByName('COD_GRUPO_CUSTO').Value:=frmModeloPesquisa.TbPrincipal.fieldbyname('COD_GRUPO_CUSTO').Value;
  end;

  frmModeloPesquisa.Destroy;
  MostraTela;

end;

procedure TfrmCadCentroCusto.FormCreate(Sender: TObject);
begin
  inherited;
   Gera_Codigo := True;
   qrGrupo_Custo.Open();
end;

procedure TfrmCadCentroCusto.MostraTela;
begin
  if NOT qrGrupo_Custo.Locate('COD_GRUPO_CUSTO',tbPrincipal.FieldByName('COD_GRUPO_CUSTO').AsString, [] ) then
   InicioDaTabela( qrGrupo_Custo);

end;

end.
